MCUX CLNS MCUX Crypto Library Normal Secure |

Functions | Variables
tls_master_key_session_keys.c File Reference

TLS key derivation example. More...

`#include <mcuxClCss.h>`
`#include <mcuxClMemory.h>`
`#include <mcuxCsslFlowProtection.h>`
`#include <stdbool.h>`

## Functions
bool | tls_master_key_session_keys (void)
| Performs key derivation for TLS protocol. More...

## Variables
static mcuxClCss_EccByte_t | ecc_public_key_client [MCUXCLCSS_ECC_PUBLICKEY_SIZE]
| Destination buffer to receive the public key of the mcuxClCss_EccKeyGen_Async operation. More...
static mcuxClCss_EccByte_t | ecc_public_key_server [MCUXCLCSS_ECC_PUBLICKEY_SIZE]
static uint8_t | derivation_data [MCUXCLCSS_TLS_DERIVATIONDATA_SIZE]
static uint8_t | client_random [MCUXCLCSS_TLS_RANDOM_SIZE]
static uint8_t | server_random [MCUXCLCSS_TLS_RANDOM_SIZE]
static uint8_t | master_key_string []
static uint8_t | key_expansion_string []

## Detailed Description

TLS key derivation example.

## Function Documentation

## ◆ tls_master_key_session_keys()

bool tls_master_key_session_keys | ( | void |  | ) |

Performs key derivation for TLS protocol.

Return values

  true | The example code completed successfully
  false | The example code failed

< [in] The TLS derivation data

< [in] Desired key properties. Only mcuxClCss_KeyProp_t::upprot_priv and mcuxClCss_KeyProp_t::upprot_sec are used, the rest are ignored.

< [in] The index of the TLS pre-master key, which is overwritten with the master key

< [in] The TLS derivation data

< [in] Desired key properties. Only mcuxClCss_KeyProp_t::upprot_priv and mcuxClCss_KeyProp_t::upprot_sec are used, the rest are ignored.

< [in] The index of the TLS master key, which is overwritten with one of the session keys.

Examples
  tls_master_key_session_keys.c.

## Variable Documentation

## ◆ ecc_public_key_client

mcuxClCss_EccByte_t ecc_public_key_client[MCUXCLCSS_ECC_PUBLICKEY_SIZE]
| static

Destination buffer to receive the public key of the mcuxClCss_EccKeyGen_Async operation.

Examples
  tls_master_key_session_keys.c.